/*
 procinfo -- list process information
 Copyright (C) 2007 Daniel Molina Wegener <dmw@coder.cl>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA  02111-1307  US
 */

#ifndef PINFO_H
#define PINFO_H 1

#include <windows.h>
#include <psapi.h>

#define PS_LIST_COUNT		2048
#define PS_LIST_SZ			(PS_LIST_COUNT * sizeof(DWORD))
#define PM_LIST_SZ			512

#define MODE_LONG_LIST			1
#define MODE_SHORT_LIST			2
#define MODE_PROC_MATCHER		3
#define MODE_MOD_MATCHER		4

typedef struct PROC_LIST_S PROC_LIST_T;
struct PROC_LIST_S {
	DWORD *list;
	size_t list_size;
	DWORD list_count;
	DWORD required_count;
};

typedef struct HMODULE_LIST_S HMODULE_LIST_T;
struct HMODULE_LIST_S {
	HMODULE *list;
	DWORD list_sz;
	DWORD list_count;
	DWORD required_sz;
};

PROC_LIST_T *pinfo_getproclist ();
HMODULE_LIST_T *pinfo_getprocmodlist (HANDLE p);
char *pinfo_getmodname (HANDLE pid, HMODULE hm);
MODULEINFO *pinfo_getmodinfo (HANDLE pid, HMODULE hm);

void pinfo_longlist (int units);
void pinfo_shortlist (int units);
void pinfo_psearch_list (const char *matcher, int longlist, int actionmode, int units);
void pinfo_msearch_list (const char *matcher, int longlist, int actionmode, int units);


#endif /* PINFO_H */
