/*
 procinfo -- list process information
 Copyright (C) 2007 Daniel Molina Wegener <dmw@coder.cl>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA  02111-1307  US
 */
#ifndef PROC_TOOL_H
#define PROC_TOOL_H 1

#define ACTION_KILL					1
#define ACTION_UNLOAD				100
#define ACTION_UNLOCK				200

#define MODE_BYTES					10
#define MODE_KBYTES					20
#define MODE_MBYTES					30
#define MODE_GBYTES					40

int pinfo_paction (HANDLE pid, DWORD proc_current, const char *path, int mode);
int pinfo_pkill (HANDLE pid, DWORD proc_current);
int pinfo_punlock (HANDLE pid, DWORD proc_current, const char *path);
int pinfo_maction (HANDLE pid, DWORD proc_current, HMODULE module, char *mname, int mode);
int pinfo_munload (HANDLE pid, DWORD proc_current, HMODULE module);
int pinfo_munlock (HANDLE pid, DWORD proc_current, HMODULE module, const char *path);
double unit_conversion (DWORD unit, int mode);
void print_unit (DWORD unit, int mode, int indent);

#endif /* PROC_TOOL_H */
